---
title: "Check a user password"
description: "Use POST /users/check_password to check a password for the authenticated user."
canonical: https://docs.ordering.co/api-reference/guides/users-check-password/
---

# Check a user password

> **API operation:** [Open the endpoint in the API Reference](https://docs.ordering.co/api-reference/#tag/users/POST/users/check_password)

Use `POST /users/check_password` to check a password for the authenticated user. The documented operation is `User.checkPassword`.

Send the user's accepted bearer session or API key. Never put a token in the URL.

```http
Authorization: Bearer YOUR_ACCESS_TOKEN
```

```json
{
  "password": "[REDACTED]"
}
```

The operation returns `result: "OK"` when the password matches and an error response when it does not. Do not log the submitted password.

For login context, see [Authorize user login](https://docs.ordering.co/api-reference/guides/authorize-user-login/).

## OpenAPI reference

**Operation:** `POST /users/check_password`

**Request body fields**

| Name       | Type | Required |
| ---------- | ---- | -------- |
| `password` | any  | No       |

**Responses**

| Code | Description                           |
| ---- | ------------------------------------- |
| 200  | OK (Envelope)                         |
| 400  | Bad Request (ErrorResponse)           |
| 401  | Unauthorized                          |
| 404  | Not Found                             |
| 429  | Too Many Requests (ErrorResponse)     |
| 500  | Internal Server Error (ErrorResponse) |
| 503  | Service Unavailable (ErrorResponse)   |

[Open this operation in the API reference](https://docs.ordering.co/api-reference/#tag/users/POST/users/check_password)
